package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel(value = "MicroAppUserClickMenuRecord类",description = "菜单点击记录模型")
@TableName("user_click_menu_record")
public class UserClickMenuRecord {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("菜单id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long menuId;

    private Integer clickNum;

    private Long clickUserId;

    private LocalDateTime createTime;
}
