package org.springblade.modules.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.system.entity.Menu;
import org.springblade.modules.system.entity.UserClickMenuRecord;
import org.springblade.modules.system.vo.UserClickMenuRecordVo;

import java.util.List;

public interface UserClickMenuRecordMapper extends BaseMapper<UserClickMenuRecord> {

    /**
     * 查询点击量前N的菜单
     * @param userId
     * @return
     */
    List<UserClickMenuRecordVo> selectTopMenu(@Param("userId") Long userId,@Param("strips") Integer strips);
}
